import { mongoose } from '@typegoose/typegoose'
import config from 'config/config'
/**
 * 为model指定数据库连接
 * @param {string} name 数据库连接名字， 在config中必须要有对应的配置， 比如main， 则必须要有 db_main
 * */
export function dbconn(name?: string) {
  return target => {
    name = name || 'main'
    const url = config['db_' + name]
    target['db'] = mongoose.createConnection(url, {})
  }
}
