import { createSimpleSign } from './alchemy.svr'

const MECHANT_API_BASE = process.env.MERCHANT_API_BASE_URL
/**
 * 购买回调
 */
export async function byCb(data: any) {
  let url = MECHANT_API_BASE + '/pay/out/alchemy/buycb'
  const { appid, timestamp, sign } = createSimpleSign(data)
  let res = await fetch(url, {
    method: 'POST',
    headers: { 'Content-Type': 'application/json', appId: appid, timestamp: timestamp + '', sign: sign },
    body: JSON.stringify(data),
  })
  let result = await res.json()
  return result
}
/**
 * 向商户查询币价
 */
export async function queryCryptoPrice(crypto: string) {
  let url = `${MECHANT_API_BASE}/pay/out/alchemy/queryprice?crypto=${crypto}`
  const { appid, timestamp, sign } = createSimpleSign({ crypto })
  let res = await fetch(url, {
    method: 'GET',
    headers: { 'Content-Type': 'application/json', appId: appid, timestamp: timestamp + '', sign: sign },
  })
  let result = await res.json()
  let resdata = Object.assign(result.data, { process: 5 })
  return resdata
}
/**
 * 通知商户打币
 */
export async function notifyMechant(data: any) {
  let url = MECHANT_API_BASE + '/pay/out/alchemy/distribute'
  const { appid, timestamp, sign } = createSimpleSign(data)
  let res = await fetch(url, {
    method: 'POST',
    headers: { 'Content-Type': 'application/json', appId: appid, timestamp: timestamp + '', sign: sign },
    body: JSON.stringify(data),
  })
  // let result = await res.json()
  return res.json()
}
